IAB Charter Update for RFC Editor Model
RFC 9283
BCP 39
Brian E. Carpenter, Ed.
The University of Auckland
2022-06
General
This document updates the IAB Charter (RFC 2850) to be consistent with version 3 of the RFC Editor Model (RFC 9280).
Status of This Memo
This memo documents an Internet Best Current Practice.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on BCPs is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9283.
Copyright Notice
Copyright (c) 2022 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
- 2. Changed Text
- 3. Approval
- 4. IANA Considerations
- 5. Security Considerations
- 6. Normative References
- Acknowledgements
- Author's Address
Introduction
In version 3 of the RFC Editor Model defined by [RFC9280], the RFC Series is governed by its own mechanisms. This requires a modification to the Internet Architecture Board Charter [RFC2850].
Also, RFC 2850 states that the RFC Editor appoints a liaison member to the IAB. This is no longer necessary.
Changed Text
In Section "Ex-Officio and Liaison members" of [RFC2850], the phrase "the RFC Editor," is deleted.
In Section "The Role of the IAB" of [RFC2850], under the heading "(d) RFC Series and IANA", the following sentence:
The IAB must approve the appointment of an organization to act as RFC Editor and the general policy followed by the RFC Editor.
is replaced by:
The RFC Editor function is defined under the authority of the IAB by [RFC9280].
Approval
This document is published as an IETF Best Current Practice. It has also been approved by the IAB and acknowledged by the Board of Trustees of the Internet Society.
IANA Considerations
This document has no IANA actions.
Security Considerations
This document should not affect the security of the Internet.
Normative References
[RFC2850]

Charter of the Internet Architecture Board (IAB)
Internet Architecture Board
B. Carpenter, Ed.
May 2000
BCP 39
RFC 2850
DOI 10.17487/RFC2850
[RFC9280]

RFC Editor Model (Version 3)
Peter Saint-Andre, Ed.
June 2022
RFC 9280
DOI 10.17487/RFC9280
Acknowledgements
Useful comments were received from John Klensin, Eliot Lear, Peter Saint-Andre, Rich Salz, and others.
Author's Address
Brian E. Carpenter, Ed.
The University of Auckland
School of Computer Science
PB 92019
Auckland
1142
New Zealand
brian.e.carpenter@gmail.com